# norootforbuild


Name:		capifax
Version:	0.7.3
Release:	pm152.7.7

Summary:	Fax over capi via soft DSP
Url:		http://www.tabos.org/ffgtk/index.php
License: GPL-2.0
Group:		Hardware/Fax

Source0:	%{name}-%{version}-jmb4.tar.bz2
Source1:	capi20.conf

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	capi4linux-devel pkgconfig spandsp-devel


%description
Capifax is an application to fax over capi via soft DSP (spandsp).
It uses the libcapifax.so library, which is included in this package.


%package -n libcapifax0
Summary:	Library for capifax
License: GPL-2.0
Group:		System/Libraries

%description -n libcapifax0
capifax is an application to fax over capi via soft DSP (spandsp).
It uses the libcapifax.so library, which is included in this package.



%package -n libcapifax-devel
Summary:	Header files for libcapifax0
License: GPL-2.0
Group:		Development/Languages/C and C++

Requires:	libcapifax0 = %{version}
Requires:	capi4linux-devel pkgconfig spandsp-devel

%description -n libcapifax-devel
Header files for libcapifax0 needed to compile programs against the library.





%prep
%setup -q


%build
%configure --disable-static
%__make %{?jobs:-j%{jobs}}


%install
%makeinstall

# rename because of conflict from CAPI package
%__mv %{buildroot}/%{_bindir}/%{name} %{buildroot}/%{_bindir}/%{name}20

# delete unwanted la-files
%__rm %{buildroot}/%{_libdir}/libcapifax.la

# install doc
%__mkdir_p %{buildroot}%{_docdir}/%{name}
%__install -m 644 AUTHORS ChangeLog COPYING README %{buildroot}%{_docdir}/%{name}/
%__install -m 644 %{SOURCE1} %{buildroot}%{_docdir}/%{name}/


%clean
%__rm -rf %{buildroot}


%post -n libcapifax0 -p /sbin/ldconfig
%postun -n libcapifax0 -p /sbin/ldconfig


%files
%defattr(-, root, root)
%{_bindir}/%{name}20
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/*


%files -n libcapifax0
%defattr(-, root, root)
%{_libdir}/libcapifax.so.0*


%files -n libcapifax-devel
%defattr(-, root, root)
%{_includedir}/libcapifax.h
%{_libdir}/pkgconfig/capifax.pc
%{_libdir}/libcapifax.so
%{_libdir}/pkgconfig/capifax.pc


%changelog
* Mon May 24 2010 Detlef Reichelt <detlef@links2linux.de> 0.7.3-5
- delete faxsetup script, see opensuse-install-fax.sh in ffgtk doc

* Sat May 22 2010 Detlef Reichelt <detlef@links2linux.de> 0.7.3-4
- new upstream version <0.7.3-4>
 * Fix libdir in capifax.pc

* Fri Apr 30 2010 Detlef Reichelt <detlef@links2linux.de> 0.7.3
- initial build for PackMan

* Sat Jun 13 2009 bernhard.walle@gmx.de
- Require pkg-config.
* Fri Jun 12 2009 bernhard.walle@gmx.de
- Initial SUSE package.
